package com.jeeplus.centerservice.service.ccpm;

import com.jeeplus.centerservice.utils.RestTemplateService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@Service
@Transactional(rollbackFor = Exception.class)
public class CcpmRequest {

    @Resource
    private RestTemplateService restTemplateService;

    /**
     * 根据数据id查询详情
     * @param id
     * @return
     */
    public Object getById(String id, String flowType) {
        String token = "";
        Object res = null;
        if ("13".equals(flowType)) { // 报销详情
            Map<String, Object> paramMap = new HashMap<>();
            paramMap.put("id", id);
            res = restTemplateService.getCCPM("/a/workreimbursement/workReimbursement/getById", token, paramMap);
        }
        return res;
    }

    /**
     * 报销审核 通过、驳回、重新发起
     * @param resp
     * @param taskDefKey
     * @param flag
     * @return
     */
    public Object saveAuditFunc(Map<String, Object> resp, String taskDefKey, String flag, String comment) {
        String token = "";
        Map<String, Object> createBy = new HashMap<>();
        createBy.put("id", resp.get("handleId").toString());
        Map<String, Object> act = new HashMap<>();
        act.put("taskDefKey", taskDefKey);
        act.put("flag", flag);
        act.put("comment", comment);
        resp.put("act", act);
        resp.put("createBy", createBy);
        Object res = restTemplateService.postCCPM("/a/transpond/transpond/saveAuditFunc", token, null, resp);
        return res;
    }
}
